#!/bin/bash
# Shell script splitting large CSV file starting with one line header into
# multiple files containing no header and max. 43200 lines of data.
# Hint: input file MUST include header
echo
echo "Split CSV file removing header"
echo "------------------------------"
if [ $# -eq 0 ]
	then
		echo "ERROR: input file not specified"
		echo "Example: ./csvSplitHr43200.sh FF0000000009.csv"
		echo "Script terminated."
		echo
		exit 1
fi
if [ -e $1 ]
	then
   		echo "Input file:" $1
else
    echo "ERROR: specified input file '$1' does not exist"
	echo "Script terminated."
	echo
	exit 1
fi
echo "Please wait..."
tail -n +2 $1 | split -d -l 43200 - $1Hr
echo "Split CSV file removing header..."
echo "Done - Bye Bye."
echo

