#################################################################################
### plot two SDMN logging files to one chart
#################################################################################
# HINT: Adjust lines 11 ... 15 to needs
#       Disable traces shown by entering # at start of lines 67 ... 75, 78 ... 86
#################################################################################


# filenames (without extension), locations, linewith
####################################################
OUTDOORS = "FF000000000A_B"
LOCATIONO = "Aussenfühler"
INDOORS  = "FF0000000009_B"
LOCATIONI = "Keller NW"
mylw = 1


# setup
#######
OFILE = OUTDOORS. '.csv'
IFILE = INDOORS. '.csv'
reset
set datafile separator ";"
set grid
set autoscale
set yrange [0:100]
set ytics 10
set y2range [0.1:100000]
set y2tics
set xrange [0:50]
set logscale y2 10
set ytics nomirror
YLABEL = OFILE.",".LOCATIONO."      ".IFILE. ",".LOCATIONI
set ylabel YLABEL
set xlabel "SysTime[days]"
set key out horiz right top
# indoors linestyles
set style line 1 lw mylw lc rgb 'blue' dt 1
set style line 2 lw mylw lc rgb 'web-green' dt 1
set style line 3 lw mylw lc rgb 'red' dt 1
set style line 4 lw mylw lc rgb 'orange' dt 1
set style line 5 lw mylw lc rgb 'light-blue' dt 1 
set style line 6 lw mylw lc rgb 'brown' dt 1
set style line 7 lw mylw lc rgb 'olive' dt 1
set style line 8 lw mylw lc rgb 'gray50' dt 1
set style line 9 lw mylw lc rgb 'gray20' dt 1
# outdoors linestyles
set style line 11 lw mylw lc rgb 'web-blue' pi 1440 ps 2 pt 4
set style line 12 lw mylw lc rgb 'green' pi 1440 ps 2 pt 4
set style line 13 lw mylw lc rgb 'orange' pi 1440 ps 2 pt 4
set style line 14 lw mylw lc rgb 'coral' pi 1440 ps 2 pt 4
set style line 15 lw mylw lc rgb 'yellow' pi 1440 ps 2 pt 4
set style line 16 lw mylw lc rgb 'brown' pi 1440 ps 2 pt 4
set style line 17 lw mylw lc rgb 'olive' pi 1440 ps 2 pt 4
set style line 18 lw mylw lc rgb 'gray50' pi 1440 ps 2 pt 4
set style line 19 lw mylw lc rgb 'gray20' pi 1440 ps 2 pt 4


# plot to screen
################
# HINTS: gnuplot does not support disable line continuation in comments, so the following plot command will
#        not work. That's the reason this file is called by a shell script deleting the lines starting with "#"
# File-header: SysTime[s];MAC[hex];T[mC];rH[m%];H[mg];Ta[mC];B[lx];DO1[%];DO2[%];DOxForcedByDI1[n];DOxDisabledByDI1[n]
#
plot \
# OUTDOORS file
OFILE using ($1/86400) : ($3/1000) with linespoints ls 11 title "Aussen-T[°C]" axis x1y1,\
OFILE using ($1/86400) : ($4/1000) with linespoints ls 12 title "Aussen-rH[%]" axis x1y1,\
OFILE using ($1/86400) : ($5/1000) with linespoints ls 13 title "Aussen-H[g]" axis x1y1,\
#OFILE using ($1/86400) : ($6/1000) with linespoints ls 14 title "Aussen-Ta[°C]" axis x1y1,\
#OFILE using ($1/86400) : ($7) with linespoints ls 15 title "Aussen-B[lx]" axis x1y2,\
#OFILE using ($1/86400) : ($8) with linespoints ls 16 title "Aussen-DO1[%]" axis x1y1,\
#OFILE using ($1/86400) : ($9) with linespoints ls 17 title "Aussen-DO2[%]" axis x1y1,\
#OFILE using ($1/86400) : ($10*10) with linespoints ls 18 title "Aussen-DOxForced[n]" axis x1y1,\
#OFILE using ($1/86400) : ($11*10) with linespoints ls 19 title "Aussen-DOxDisabled[n]" axis x1y1,\
#
# INDOORS file
IFILE using ($1/86400) : ($3/1000) with lines ls 1 title 'T[°C]' axis x1y1,\
IFILE using ($1/86400) : ($4/1000) with lines ls 2 title "rH[%]" axis x1y1,\
IFILE using ($1/86400) : ($5/1000) with lines ls 3 title "H[g]" axis x1y1,\
#IFILE using ($1/86400) : ($6/1000) with lines ls 4 title "Ta[°C]" axis x1y1,\
#IFILE using ($1/86400) : ($7) with lines ls 5 title "B[lx]" axis x1y2,\
IFILE using ($1/86400) : (($8*0.05)+30) with lines ls 6 title "DO1[%]" axis x1y1,\
#IFILE using ($1/86400) : (($9*0.05)+40) with lines ls 7 title "DO2[%]" axis x1y1,\
#IFILE using ($1/86400) : (($10*10)+5) with lines ls 8 title "DOxForced[n]" axis x1y1,\
#IFILE using ($1/86400) : (($11*10)+10) with lines ls 9 title "DOxDisabled[n]" axis x1y1

