#!/bin/bash
# Shell script spliting SDMN multi MAC data-logger CSV-file into device specific single MAC CSV-files
# Hint: input file MUST NOT include header
echo
echo "Split SDMN logging file without header into device specific logging files"
echo "-------------------------------------------------------------------------"
if [ $# -eq 0 ]
	then
		echo "ERROR: input file not specified"
		echo "Example: ./sdmnSplit.sh inputfile.TXT"
		echo "Script terminated."
		echo
		exit 1
fi
if [ -e $1 ]
	then
   		echo "Input file:" $1
else
    echo "ERROR: specified input file '$1' does not exist"
	echo "Example: ./sdmnSplit.sh inputfile.TXT"
	echo "Script terminated."
	echo
	exit 1
fi
echo "Please wait..."
# split SDMN multi MAC data-logger CSV-file into device specific single MAC CSV-files
awk -F\; '{print > $2".csv"}' $1
echo "Device specific single MAC CSV-files created..."
echo "Done - Bye Bye."
echo

