#!/bin/bash
# Shell script spliting SDMN multi MAC data-logger CSV-file starting with one line header into
# device specific single MAC CSV-files containing same header
# Hint: input file MUST include header
echo
echo "Split SDMN logging file including header into device specific logging files"
echo "---------------------------------------------------------------------------"
if [ $# -eq 0 ]
	then
		echo "ERROR: input file not specified"
		echo "Example: ./sdmnSplitH.sh inputfile.TXT"
		echo "Script terminated."
		echo
		exit 1
fi
if [ -e $1 ]
	then
   		echo "Input file:" $1
else
    echo "ERROR: specified input file '$1' does not exist"
	echo "Example: ./sdmnSplitH.sh inputfile.TXT"
	echo "Script terminated."
	echo
	exit 1
fi
echo "Please wait..."
# split SDMN multi MAC data-logger CSV-file into device specific single MAC CSV-files
awk -F ';' 'NR==1{h=$0; next};!seen[$2]++{f=$2".csv"; print h > f};{f=$2".csv"; print >> f; close(f)}' $1
echo "Device specific single MAC CSV-files created..."
echo "Done - Bye Bye."
echo

