#################################################################################
### plot one SDMN logging file to one chart
#################################################################################
# HINT: Adjust lines 11 ... 12 to needs
#       Disable traces shown by entering # at start of lines 89...94, 97...112
#################################################################################


# filenames (without extension), locations, linewith
####################################################
LOCATION = "Kartoffellager Kreuthof 2019-2020"
mylw = 1
# name of file to be processed will be inserted at this position (line 5 of temporary batch file) by shell script

# setup
#######
reset
set datafile separator ";"
set grid
set autoscale
set yrange [-5:100]
set ytics 10
set y2range [0.1:100000]
set y2tics
set logscale y2 10
set xrange [0:230]
set ytics nomirror
YLABEL = FILE. ",".LOCATION
set ylabel YLABEL
set xlabel "SysTime[days]"
set key out horiz right top
# linestyles for use with lines using linewidth, linecolor and dashtype
set style line 1 lw mylw lc rgb 'blue' dt 1
set style line 2 lw mylw lc rgb 'green' dt 1
set style line 3 lw mylw lc rgb 'red' dt 1
set style line 4 lw mylw lc rgb 'orange' dt 1
set style line 5 lw mylw lc rgb 'yellow' dt 1  
set style line 6 lw mylw lc rgb 'brown' dt 1
set style line 7 lw mylw lc rgb 'olive' dt 1
set style line 8 lw mylw lc rgb 'gray0' dt 1
set style line 9 lw mylw lc rgb 'gray70' dt 1
set style line 10 lw mylw lc rgb 'light-blue' dt 1
set style line 11 lw mylw lc rgb 'web-blue' dt 1
set style line 12 lw mylw lc rgb 'web-green' dt 1
set style line 13 lw mylw lc rgb 'coral' dt 1
set style line 14 lw mylw lc rgb 'pink' dt 1
set style line 15 lw mylw lc rgb 'khaki' dt 1  
set style line 16 lw mylw lc rgb 'plum' dt 1
set style line 17 lw mylw lc rgb 'cyan' dt 1
set style line 18 lw mylw lc rgb 'gray40' dt 1
set style line 19 lw mylw lc rgb 'gray90' dt 1
set style line 20 lw mylw lc rgb 'magenta' dt 1
# linestyles for use with linespoints using linewidth, linecolor, pointinterval(one day = 24x60 = 1440), pointsize and pointtype
set style line 21 lw mylw lc rgb 'blue' pi 1440 ps 2 pt 4
set style line 22 lw mylw lc rgb 'green' pi 1440 ps 2 pt 4
set style line 23 lw mylw lc rgb 'red' pi 1440 ps 2 pt 4
set style line 24 lw mylw lc rgb 'orange' pi 1440 ps 2 pt 4
set style line 25 lw mylw lc rgb 'yellow' pi 1440 ps 2 pt 4
set style line 26 lw mylw lc rgb 'brown' pi 1440 ps 2 pt 4
set style line 27 lw mylw lc rgb 'olive' pi 1440 ps 2 pt 4
set style line 28 lw mylw lc rgb 'gray0' pi 1440 ps 2 pt 4
set style line 29 lw mylw lc rgb 'gray70' pi 1440 ps 2 pt 4
set style line 30 lw mylw lc rgb 'light-blue' pi 1440 ps 2 pt 4
set style line 31 lw mylw lc rgb 'web-blue' pi 1440 ps 2 pt 4
set style line 32 lw mylw lc rgb 'web-green' pi 1440 ps 2 pt 4
set style line 33 lw mylw lc rgb 'coral' pi 1440 ps 2 pt 4
set style line 34 lw mylw lc rgb 'pink' pi 1440 ps 2 pt 4
set style line 35 lw mylw lc rgb 'khaki' pi 1440 ps 2 pt 4
set style line 36 lw mylw lc rgb 'plum' pi 1440 ps 2 pt 4
set style line 37 lw mylw lc rgb 'cyan' pi 1440 ps 2 pt 4
set style line 38 lw mylw lc rgb 'gray40' pi 1440 ps 2 pt 4
set style line 39 lw mylw lc rgb 'gray90' pi 1440 ps 2 pt 4
set style line 40 lw mylw lc rgb 'magenta' pi 1440 ps 2 pt 4


# plot to screen
################
# HINTS: gnuplot does not support disable line continuation in comments, so the following plot command will
#        not work. That's the reason this file is called by a shell script deleting the lines starting with "#"                      
# File-Header: SysTime[s];MAC[hex];T[mC];rH[m%];H[mg];Ta[mC];B[lx];
#                       1        2     3      4     5      6     7 
#              MAC_storage[hex];T_storage[mC];rH_storage[m%];H_storage[mg];Ta_storage[mC];B_storage[lx];P[n];D[d];
#                             8             9             10            11             12            13   14   15     
#              Tth[cC];rHth[%];Ttarget[cC];CoolingEnable[n];DO1/InOutletAir[%];DO2/Heating[%];RRDO1/RecirculatingAir[%];RRDO2/Cooling[%];FanS[n]
#                   16      17          18               19                 20             21                        22               23      24 
#
plot \
# outdoors dataset
#FILE using ($1/86400) : ($3/1000) with linespoints ls 21 title "Aussen-T[°C]" axis x1y1,\
FILE using ($1/86400) : ($3/1000) with lines ls 1 title "Aussen-T[°C]" axis x1y1,\
FILE using ($1/86400) : ($4/1000) with lines ls 1 title "Aussen-rH[%]" axis x1y1,\
#FILE using ($1/86400) : ($5/1000) with lines ls 2 title "Aussen-H[g]" axis x1y1,\
#FILE using ($1/86400) : ($6/1000) with lines ls 2 title "Aussen-Ta[°C]" axis x1y1,\
#FILE using ($1/86400) : ($7) with lines ls 15 title "Aussen-B[lx]" axis x1y2,\
#
# storage dataset
FILE using ($1/86400) : ($9/1000) with lines ls 3 title "T[°C]" axis x1y1,\
FILE using ($1/86400) : ($10/1000) with lines ls 3 title "rH[%]" axis x1y1,\
#FILE using ($1/86400) : ($11/1000) with lines ls 17 title "H[g]" axis x1y1,\
#FILE using ($1/86400) : ($12/1000) with lines ls 17 title "Ta[°C]" axis x1y1,\
FILE using ($1/86400) : ($13) with lines ls 5 title "B[lx]" axis x1y2,\
FILE using ($1/86400) : ($14) with lines ls 12 title "P[n]" axis x1y1,\
FILE using ($1/86400) : ($15/2) with lines ls 18 title "D[n/2]" axis x1y1,\
FILE using ($1/86400) : (($20*0.05)+20) with lines ls 11 title "Frischluft[%]" axis x1y1,\
FILE using ($1/86400) : (($22*0.05)+30) with lines ls 12 title "Umluft[%]" axis x1y1,\
FILE using ($1/86400) : (($21*0.05)+40) with lines ls 3 title "Heizen[%]" axis x1y1,\
#FILE using ($1/86400) : (($23*0.05)+50) with lines ls 1 title "Kühlen[%]" axis x1y1,\
#FILE using ($1/86400) : ($19+60) with lines ls 10 title "KühlenEnable[n]" axis x1y1,\
FILE using ($1/86400) : ($16/100) with lines ls 20 title "Tth[°C]" axis x1y1,\
FILE using ($1/86400) : ($17) with lines ls 20 title "rHth[%]" axis x1y1,\
FILE using ($1/86400) : ($18/100) with lines ls 4 title "Ttarget[°C]" axis x1y1,\
#FILE using ($1/86400) : ($24+70) with lines ls 18 title "FanState[n]" axis x1y1

