#!/bin/bash
# Shell script to plot device specific single MAC TXT-file) via gnuplot in interavctive mode to screen
# Hint: gnuplot will be in interactive mode, adjust image section to needs, plot via menu.
#       1.) enable signals and adjust name of file(s) and location in file "sdmn1.plt" to needs 
echo
echo "Plot SDMN single MAC TXT-file to screen"
echo "---------------------------------------"
if [ $# -eq 0 ]
	then
		echo "ERROR: input file not specified"
		echo "Example: ./sdmn1Plot.sh inputfile.TXT"
		echo "Script terminated."
		echo
		exit 1
fi
if [ -e $1 ]
	then
   		echo "Input file:" $1
else
    echo "ERROR: specified input file '$1' does not exist"
	echo "Example: ./sdmn1Plot.sh inputfile.TXT"
	echo "Script terminated."
	echo
	exit 1
fi
echo "Please wait..."
# create temporary batch file without lines starting with "#"
grep -v "#" sdmn1.plt > EnabledOnly.plt

# insert filename of plotfile in temporary batch file at line 5
sed -i '5iFILE = "'$1'"' EnabledOnly.plt

# plot to screen via temporary batch file in interactive mode
gnuplot EnabledOnly.plt -
# remove temporary batch file
rm EnabledOnly.plt
echo

